<?php
namespace Zeedhi\Translate\Controller;

use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DependencyInjection\InstanceManager;

class User {

    protected $entityManager;

    /** @return \Doctrine\ORM\EntityManager */
    public static function getEntityManager(){
        return InstanceManager::getInstance()->getService('entityManager');
    }

    public function find(DTO\Request\Filter $request, DTO\Response $response) {
        $query = <<<SQL
        SELECT CDOPERADOR, NMOPERADOR
        FROM OPERADOR
SQL;
        $result = self::getEntityManager()->getConnection()->fetchAll($query);
        $dataSet = new DataSet("user", $result);
        $response->addDataSet($dataSet);
    }

}